Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Interface TaskAuditService

All Known Implementing Classes:
  TaskAuditServiceImpl

    public interface TaskAuditService

Method Summary
`List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasks(org.kie.internal.query.QueryFilter filter)`
`List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByUser(String userId, org.kie.internal.query.QueryFilter filter)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents(long taskId, org.kie.internal.query.QueryFilter filter)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEventsByProcessInstanceId(long processInstanceId, org.kie.internal.query.QueryFilter filter)`
`void` | `setTaskService(TaskService taskService)`

Method Detail

### setTaskService

    void setTaskService(TaskService taskService)

### getAllTaskEvents

    List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents(long taskId,
                                                                     org.kie.internal.query.QueryFilter filter)

### getAllTaskEventsByProcessInstanceId

    List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEventsByProcessInstanceId(long processInstanceId,
                                                                                        org.kie.internal.query.QueryFilter filter)

### getAllAuditTasks

    List<org.kie.internal.task.api.AuditTask> getAllAuditTasks(org.kie.internal.query.QueryFilter filter)

### getAllAuditTasksByUser

    List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByUser(String userId,
                                                                     org.kie.internal.query.QueryFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.